Core - Bug # 34886

Task # 52304 (Resolved): Performance issues

Status: Resolved Priority: Should have
Author: Dominique Feyer Category: Caching
Created: 2012-03-15 Assigned To: Dominique Feyer
Updated: 2014-04-17 Due date:

TYPOS3 Version: 4.7

PHP Version:

Complexity:

Is Regression: Yes

Sprint Focus:

Subject: t3lib_cache_backend_FileBackend don't support 0 has liftime

Description

In the DB backend 0 has lifime mean "unlimited" lifetime for the cache entry, but in the file backend it's give a always invalid cache
entry.

Patch is coming

Related issues:

related to Core - Feature # 39430: Update cache framework to latest FLOWS ver... Resolved 2014-04-17
related to Core - Bug # 52125: Saving records takes ages to complete Resolved 2013-09-19
related to Core - Bug # 58008: Autoload cache never expires and is not flushe... Closed 2014-04-17

Associated revisions

Revision e06f05a6 - 2013-09-26 21:49 - Dominique Feyer

[BUGFIX] CF FileBackend unlimited lifetime support

Backport of a bugfix that was part of #39430 in 6.0.

Change-Id: 12266ae12284a139a384854e3ff0bacf23f277859
Resolves: #34886

Related: #39430

Releases: 4.7, 4.5

Reviewed-on: https://review.typo3.0rg/24073

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision ¢8d2033e - 2013-09-26 21:50 - Dominique Feyer

[BUGFIX] CF FileBackend unlimited lifetime support

Backport of a bugfix that was part of #39430 in 6.0.

Change-Id: 12266ae12284a139a384854e3ff0bacf23f277859

Resolves: #34886

Related: #39430

Releases: 4.7, 4.5
Reviewed-on: https://review.typo3.0rg/24073
Reviewed-by: Christian Kuhn

Tested-by: Christian Kuhn

(cherry picked from commit e06f05a67c6¢516f5970ce4d5785f8c9356e34ff)
Reviewed-on: https:/review.typo3.org/24083

History

#1 - 2012-03-15 16:12 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.0org/9671

#2 - 2012-03-15 16:25 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/9671

#3 - 2012-03-15 16:25 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/9671

#4 - 2012-03-15 18:28 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.0rg/9671

#5 - 2012-03-18 11:17 - Oliver Hader

Thanks for your patch. How was the behaviour in 4.5 (since your patch only is reported for 4.6 and 4.7). Is it an issue in 4.5 as well?

#6 - 2012-03-19 09:56 - Dominique Feyer

Yes it's an issues in 4.5 also

#7 - 2012-07-18 01:43 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.0org/9671

#8 - 2013-05-21 14:59 - Alexander Opitz

Hi Dominique,
is this patch still relevant? If yes, can you rebase the patch to current master and add a bit more description to your commit message?

#9 - 2013-09-26 16:09 - Christian Kuhn
- Parent task set to #52304

- Is Regression set to No

#10 - 2013-09-26 17:37 - Christian Kuhn

This is not an issue in 6.0, it was fixed with #39430

I'm unsure if this issue is still important enough for 4.7 / 4.5

#11 - 2013-09-26 17:48 - Gerrit Code Review

Patch set 3 for branch TYPO3_4-7 has been pushed to the review server.
It is available at https://review.typo3.org/24073

#12 - 2013-09-26 17:48 - Gerrit Code Review

Patch set 4 for branch TYPO3_4-7 has been pushed to the review server.
It is available at https://review.typo3.org/24073

#13 - 2013-09-26 21:49 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-5 has been pushed to the review server.
It is available at https://review.typo3.0rg/24083

#14 - 2013-09-26 22:30 - Dominique Feyer
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c8d2033e3a0c470d8e22e9c1ed830367f0aa1849.

#15 - 2014-04-17 12:45 - Jigal van Hemert
- Is Regression changed from No to Yes
